import java.awt.Color;
import java.awt.Frame;
import java.awt.Graphics;

public class BallTestFrame extends Frame {
    private static final int FrameWidth  = 600;
    private static final int FrameHeight = 400;
    private int counter = 0;

    private ShadowBall ball;

    public BallTestFrame( Color ballColor ) {
        super();

        setSize ( FrameWidth, FrameHeight );
        setTitle( "Ball Test Frame" );
        ball = new ShadowBall( 100, 200, 40, 10, 15, this );
        ball.setColor( ballColor );
	counter = 0;
    }

    public void paint( Graphics g ) {
        ball.paint( g );
	ball.move();
	try { Thread.sleep( 40 ); }
        catch (InterruptedException e) { System.exit( -1 ); }

        counter = counter + 1;
        if ( counter < 2000 )
            repaint();
        else
            System.exit( 0 );
     
    }
}
