import java.awt.Frame;
import java.awt.Color;
import java.awt.Graphics;

public class ShadowBall extends BoundedBall {
    private int paintCounter = 0;
 
    public ShadowBall( int x, int y, int r,
                       double dx, double dy, Frame aWorld ) {
        super( x, y, r, dx, dy, aWorld );
	paintCounter = 0;
    } // end constructor ShadowBall

    public void paint( Graphics g ) {
        super.paint(g);
	paintCounter++;
	if (paintCounter % 20 == 0) {
	    Color currentColor = color();
	    setColor(currentColor.darker());
	} // end if
    } // end paint
} // end class ShadowBall